---
title: SVGAltGlyphElement
slug: Web/API/SVGAltGlyphElement
tags:
  - API
  - Deprecated
  - NeedsExample
  - Reference
  - SVG
  - SVGAltGlyphElement
---
<div>{{APIRef("SVG")}}{{Deprecated_header}}</div>

<p>The <strong><code>SVGAltGlyphElement</code></strong> interface represents an {{ SVGElement("altglyph") }} element. This interface makes it possible to implement more sophisticated and particular glyph characters. For some textal representations as: ligatures (e.g. æ, ß, etc ), special-purpose fonts (e.g. musical symbols) or even alternate glyphs such as Asian text strings it is required that a different set of glyphs be used than the normal given character data.</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGGraphicsElement")}}.</em></p>

<dl>
 <dt>{{domxref("SVGAltGlyphElement.glyphRef")}}</dt>
 <dd>It corresponds to the attribute {{ SVGAttr("glyphRef") }} on the given element. It's data type is 'String'. It defines the glyph identifier, whose format is dependent on the ‘format’ of the given font.</dd>
 <dt>{{domxref("SVGAltGlyphElement.format")}}</dt>
 <dd>It corresponds to the attribute  {{ SVGAttr("format") }} on the given element. It's data type is 'String'. This property specifies the format of the given font.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface has no methods but inherits methods from its parent, {{domxref("SVGElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#InterfaceSVGAltGlyphElement", "SVGAltGlyphElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGAltGlyphElement")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>SVG {{SVGElement("altglyph")}} Element</li>
</ul>
